#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=meckering4.1_base.ps
projection=-JM16.0c+
region=-R116.6/117.8/-32.5/-31.1
gmt psbasemap $region $projection -Bxa0.5f0.1 -Bya0.5f0.1 -BWeSn+t'Base Map meckering4.1' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/l10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Event numbers
gmt psxy -: -R $projection -Sl8p+t"1" -G0 -O -K << END >> $psfile
   -31.410   116.878
END
gmt psxy -: -R $projection -Sl8p+t"2" -G0 -O -K << END >> $psfile
   -31.486   116.929
END
gmt psxy -: -R $projection -Sl8p+t"3" -G0 -O -K << END >> $psfile
   -31.445   116.972
END
gmt psxy -: -R $projection -Sl8p+t"4" -G0 -O -K << END >> $psfile
   -31.623   117.078
END
gmt psxy -: -R $projection -Sl8p+t"5" -G0 -O -K << END >> $psfile
   -31.613   117.064
END
gmt psxy -: -R $projection -Sl8p+t"6" -G0 -O -K << END >> $psfile
   -31.273   116.688
END
gmt psxy -: -R $projection -Sl8p+t"7" -G0 -O -K << END >> $psfile
   -31.729   117.012
END
gmt psxy -: -R $projection -Sl8p+t"8" -G0 -O -K << END >> $psfile
   -31.715   117.083
END
gmt psxy -: -R $projection -Sl8p+t"9" -G0 -O -K << END >> $psfile
   -31.667   117.068
END
gmt psxy -: -R $projection -Sl8p+t"10" -G0 -O -K << END >> $psfile
   -31.964   116.728
END
gmt psxy -: -R $projection -Sl8p+t"11" -G0 -O -K << END >> $psfile
   -31.967   116.725
END
gmt psxy -: -R $projection -Sl8p+t"12" -G0 -O -K << END >> $psfile
   -31.469   117.683
END
gmt psxy -: -R $projection -Sl8p+t"13" -G0 -O -K << END >> $psfile
   -31.474   117.687
END
gmt psxy -: -R $projection -Sl8p+t"14" -G0 -O -K << END >> $psfile
   -31.473   117.684
END
gmt psxy -: -R $projection -Sl8p+t"15" -G0 -O -K << END >> $psfile
   -31.439   117.677
END
gmt psxy -: -R $projection -Sl8p+t"16" -G0 -O -K << END >> $psfile
   -31.485   117.678
END
gmt psxy -: -R $projection -Sl8p+t"17" -G0 -O -K << END >> $psfile
   -31.391   117.664
END
gmt psxy -: -R $projection -Sl8p+t"18" -G0 -O -K << END >> $psfile
   -31.379   117.663
END
gmt psxy -: -R $projection -Sl8p+t"19" -G0 -O -K << END >> $psfile
   -31.401   117.656
END
gmt psxy -: -R $projection -Sl8p+t"20" -G0 -O -K << END >> $psfile
   -32.428   117.101
END
gmt psxy -: -R $projection -Sl8p+t"21" -G0 -O -K << END >> $psfile
   -32.440   117.104
END
gmt psxy -: -R $projection -Sl8p+t"22" -G0 -O -K << END >> $psfile
   -32.438   117.110
END
gmt psxy -: -R $projection -Sl8p+t"23" -G0 -O -K << END >> $psfile
   -32.128   117.182
END
gmt psxy -: -R $projection -Sl8p+t"24" -G0 -O -K << END >> $psfile
   -31.949   117.226
END
gmt psxy -: -R $projection -Sl8p+t"25" -G0 -O -K << END >> $psfile
   -31.713   117.091
END
gmt psxy -: -R $projection -Sl8p+t"26" -G0 -O -K << END >> $psfile
   -31.731   117.083
END
gmt psxy -: -R $projection -Sl8p+t"27" -G0 -O -K << END >> $psfile
   -31.216   116.655
END
gmt psxy -: -R $projection -Sl8p+t"28" -G0 -O -K << END >> $psfile
   -31.995   117.159
END
gmt psxy -: -R $projection -Sl8p+t"29" -G0 -O -K << END >> $psfile
   -31.518   117.204
END
gmt psxy -: -R $projection -Sl8p+t"30" -G0 -O -K << END >> $psfile
   -32.268   116.962
END
# Change in location, calibration shift if available
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.409   116.892
   -31.410   116.878
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.540   117.000
   -31.410   116.878
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.487   116.942
   -31.486   116.929
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.470   116.990
   -31.486   116.929
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.433   116.975
   -31.445   116.972
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.560   117.050
   -31.445   116.972
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.624   117.077
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.608   117.102
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.616   117.063
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.612   117.107
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.272   116.687
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.234   116.754
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.727   117.016
   -31.729   117.012
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.684   116.990
   -31.729   117.012
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.710   117.079
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.626   117.336
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.665   117.065
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.632   117.395
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.965   116.728
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.921   116.819
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.968   116.725
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.917   116.879
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.469   117.684
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.417   117.766
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.475   117.688
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.402   117.774
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.473   117.685
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.419   117.809
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.441   117.678
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.377   117.764
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.485   117.677
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.424   117.819
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.389   117.666
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.378   117.683
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.374   117.667
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.372   117.678
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.398   117.660
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.380   117.688
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -32.427   117.101
   -32.428   117.101
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -32.317   117.121
   -32.428   117.101
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -32.438   117.104
   -32.440   117.104
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -32.341   117.107
   -32.440   117.104
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -32.436   117.110
   -32.438   117.110
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -32.344   117.089
   -32.438   117.110
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -32.126   117.182
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -32.068   117.187
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.950   117.228
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.933   117.256
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.712   117.093
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.681   117.249
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.729   117.084
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.696   117.090
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.215   116.660
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.203   116.638
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.991   117.157
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.981   117.157
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -31.522   117.204
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -31.509   117.207
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthin,green -O -K << END >> $psfile
   -32.267   116.963
   -32.268   116.962
END
gmt psxy -: -R $projection -Wthin,black -O -K << END >> $psfile
   -32.329   117.013
   -32.268   116.962
END
# Confidence ellipses for relative location
gmt psxy -: -R $projection -SE -Wthick -O -K << END >> $psfile
   -31.410   116.878    52.756     3.052     4.722
   -31.486   116.929    61.086     2.972     4.818
   -31.445   116.972    60.329     4.251     8.882
   -31.623   117.078    48.849     2.935     3.487
   -31.613   117.064    39.132     2.866     2.994
   -31.273   116.688    14.556     1.874     2.867
   -31.729   117.012    62.933     2.866     4.145
   -31.715   117.083    86.437     2.594     4.112
   -31.667   117.068    73.683     2.676     4.032
   -31.964   116.728    89.275     2.316     2.682
   -31.967   116.725   -80.397     2.306     3.518
   -31.469   117.683   -76.325     2.203     3.599
   -31.474   117.687   -78.060     1.636     2.621
   -31.473   117.684   -81.013     1.570     2.682
   -31.439   117.677    85.024     2.041     2.867
   -31.485   117.678    85.624     2.239     3.353
   -31.391   117.664   -31.450     1.468     3.475
   -31.379   117.663   -30.723     2.019     4.820
   -31.401   117.656   -34.102     1.499     2.665
   -32.428   117.101    62.380     2.783     4.152
   -32.440   117.104    61.754     2.507     3.712
   -32.438   117.110    61.449     1.856     2.753
   -32.128   117.182    65.225     1.760     2.667
   -31.949   117.226    70.859     1.799     3.131
   -31.713   117.091   -89.216     1.867     2.976
   -31.731   117.083    85.855     1.568     2.669
   -31.216   116.655    16.490     2.245     3.767
   -31.995   117.159    71.259     2.656     4.785
   -31.518   117.204   -77.845     2.191     3.769
   -32.268   116.962    86.218     2.432     3.550
END
# Circle of radius 5 km for reference
gmt psxy -: -R $projection -SE -Wthick,red -O -K << END >> $psfile
   -32.440   116.655     0.000    10.000    10.000
END
gmt psxy -: -R $projection -Sx -Wthin,red -O -K << END >> $psfile
   -32.440   116.655     0.200
END
gmt pstext -: -R $projection -F+f8p,Helvetica-Bold,red+a0.+jBL -O << END >> $psfile
   -32.440   116.655   5 km
END
