#!/bin/bash
gmt gmtset PS_MEDIA letter
gmt gmtset PROJ_LENGTH_UNIT cm
gmt gmtset FORMAT_GEO_MAP D
gmt gmtset PS_PAGE_ORIENTATION portrait
psfile=meckering4.1_dcal.ps
projection=-JM16.0c+
region=-R114.1/120.3/-35.0/-28.6
gmt psbasemap $region $projection -Bxa1.0f0.5 -Bya1.0f0.5 -BWeSn+t'Direct Calibration meckering4.1' -K > $psfile
palette=-Ctables/gmt/cpt/topo.cpt
gmt grdcut tables/gmt/dem/GLOBE/l10g.grd -Gmloc.grd $region -fg
gmt grdgradient mloc.grd -Gmloc_ilum.grd -A340 -Nt
gmt grdimage mloc.grd $palette $projection -Imloc_ilum.grd -O -K >> $psfile
rm mloc.grd mloc_ilum.grd
gmt pscoast $projection $region -Df -Ia,blue -Wblue -O -K >> $psfile
# Raypaths used in direct calibration
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.410   116.878
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.486   116.929
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.445   116.972
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.602   117.225
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.623   117.078
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.602   117.225
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.602   117.225
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.613   117.064
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.602   117.225
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.602   117.225
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.273   116.688
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.729   117.012
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.729   117.012
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.729   117.012
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.729   117.012
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.715   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.667   117.068
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.964   116.728
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.967   116.725
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.469   117.683
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.474   117.687
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.473   117.684
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.439   117.677
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.592   117.760
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.606   116.707
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.485   117.678
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.391   117.664
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.379   117.663
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.401   117.656
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.428   117.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.428   117.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.428   117.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.428   117.101
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.440   117.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.440   117.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.440   117.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.440   117.104
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.438   117.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.438   117.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.438   117.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.438   117.110
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -32.128   117.182
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.949   117.226
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.713   117.091
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.731   117.083
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.216   116.655
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.995   117.159
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -30.615   116.709
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -31.518   117.204
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -32.268   116.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -32.927   117.234
   -32.268   116.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.268   116.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.978   116.208
   -32.268   116.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.268   116.962
END
gmt psxy -: -R $projection -Wthick,red -O -K << END >> $psfile
   -31.591   117.755
   -32.268   116.962
END
# Seismic stations used for direct calibration, marked by a triangle
gmt psxy -: -R $projection -St -Wthick,black -Gblack -O -K << END >> $psfile
   -31.978   116.208     0.300
   -31.592   117.760     0.300
   -30.602   117.225     0.300
   -30.606   116.707     0.300
   -32.927   117.234     0.300
   -31.591   117.755     0.300
   -30.615   116.709     0.300
END
# S-P stations used for direct calibration, marked by an open diamond
gmt psxy -: -R $projection -Sd -Wthick -O -K << END >> $psfile
END
# Cluster events, marked by open black circles
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.410   116.878     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.486   116.929     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.445   116.972     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.623   117.078     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.613   117.064     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.273   116.688     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.729   117.012     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.715   117.083     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.667   117.068     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.964   116.728     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.967   116.725     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.469   117.683     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.474   117.687     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.473   117.684     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.439   117.677     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.485   117.678     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.391   117.664     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.379   117.663     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.401   117.656     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -32.428   117.101     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -32.440   117.104     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -32.438   117.110     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -32.128   117.182     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.949   117.226     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.713   117.091     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.731   117.083     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.216   116.655     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.995   117.159     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -31.518   117.204     0.200
END
gmt psxy -: -R $projection -Sc -Wthick,black -O -K << END >> $psfile
   -32.268   116.962     0.200
END
# Circle of radius 1 and 2 degrees
gmt psxy -: -R $projection -SE -Wthicker,red -O << END >> $psfile
   -31.708   117.183     0.000   222.000   222.000
   -31.708   117.183     0.000   444.000   444.000
END
